Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gnome::Gda::HandlerBin Class Reference
[Data Handlers]

Default handler for binary values. More...

Inheritance diagram for Gnome::Gda::HandlerBin:
[legend]
Collaboration diagram for Gnome::Gda::HandlerBin:
[legend]

List of all members.

## Public Member Functions
virtual | ~HandlerBin ()
GdaHandlerBin* | gobj ()
| Provides access to the underlying C GObject.
const GdaHandlerBin* | gobj () const
| Provides access to the underlying C GObject.
GdaHandlerBin* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr< HandlerBin > | create ()
## Protected Member Functions
| HandlerBin ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gnome::Gda::HandlerBin > | wrap (GdaHandlerBin* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Default handler for binary values.

## Constructor & Destructor Documentation

virtual Gnome::Gda::HandlerBin::~HandlerBin | ( | ) | `[virtual]`

Gnome::Gda::HandlerBin::HandlerBin | ( | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<HandlerBin> Gnome::Gda::HandlerBin::create | ( | ) | `[static]`

const GdaHandlerBin* Gnome::Gda::HandlerBin::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataHandler.

GdaHandlerBin* Gnome::Gda::HandlerBin::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataHandler.

GdaHandlerBin* Gnome::Gda::HandlerBin::gobj_copy | ( | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::HandlerBin > wrap | ( | GdaHandlerBin * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/handlerbin.h